# $Revision: 1.19 $, $Date: 2010/03/01 21:03:22 $
%define pkgname racc
Summary:	Ruby yACC
Summary(pl.UTF-8):	yACC dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.4.6
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	c61adac8cd59877e6abe37f5fc12e9a5
URL:		http://i.loveruby.net/en/racc.html
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Provides:	ruby-Racc
Obsoletes:	ruby-Racc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RACC is a Ruby clone of YACC, to generate LALR(1) parsers in Ruby.

%description -l pl.UTF-8
RACC to klon YACC-a dla języka Ruby, służący do generowania
analizatorów LALR(1) w Rubym.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer ChangeLog -o -print | xargs touch --reference %{SOURCE0}

%build
ruby setup.rb config \
	--site-ruby=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Array,Object,String}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/racc.rb
%{ruby_rubylibdir}/racc
%attr(755,root,root) %{ruby_archdir}/racc/cparse.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Racc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-racc.spec,v $
Revision 1.19  2010/03/01 21:03:22  baggins
- updated build
- added rdoc and ri packages

Revision 1.18  2010/03/01 00:18:09  baggins
- 1.4.6

Revision 1.17  2010/03/01 00:15:50  baggins
- rel 2

Revision 1.16  2010/02/28 01:20:33  sparky
- BR: ruby-devel

Revision 1.15  2010/02/27 19:01:36  baggins
- P:ruby-Racc

Revision 1.14  2010/02/27 18:51:14  baggins
- renamed ruby-Racc -> ruby-racc

Revision 1.13  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2006/12/17 20:17:06  aredridel
- 1.4.5

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 09:43:25  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.5  2004/08/26 18:38:23  qboosh
- updated Name and added Obsoletes after spec rename

Revision 1.4  2004/04/10 10:16:35  qboosh
- pl, missing dir

Revision 1.3  2004/02/01 04:52:58  aredridel
- remove files included with Ruby itself

Revision 1.2  2004/02/01 04:33:19  aredridel
- it's not noarch!

Revision 1.1  2004/02/01 04:31:47  aredridel
- added
